"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GetTranslatableCollectionUseCase = void 0;
var _GetTranslatableCollectionByIdRepository = require("../repository/GetTranslatableCollectionByIdRepository");
class GetTranslatableCollectionUseCase {
  constructor(context) {
    this.context = context;
  }
  async execute(collectionId) {
    try {
      const getById = new _GetTranslatableCollectionByIdRepository.GetTranslatableCollectionByIdRepository(this.context);
      return await getById.execute(collectionId);
    } catch {
      return undefined;
    }
  }
}
exports.GetTranslatableCollectionUseCase = GetTranslatableCollectionUseCase;

//# sourceMappingURL=GetTranslatableCollectionUseCase.js.map